package modelo;
// Generated 14 dic 2022 13:15:24 by Hibernate Tools 6.1.3.Final

/**
 * Articulo generated by hbm2java
 */
public class Articulo implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer id;
	private Grupo grupo;
	private String nombre;
	private float precio;
	private String codigo;
	private int stock;

	public Articulo() {
	}

	public Articulo(Grupo grupo, String nombre, float precio, String codigo, int stock) {
		this.grupo = grupo;
		this.nombre = nombre;
		this.precio = precio;
		this.codigo = codigo;
		this.stock = stock;
	}

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Grupo getGrupo() {
		return this.grupo;
	}

	public void setGrupo(Grupo grupo) {
		this.grupo = grupo;
	}

	public String getNombre() {
		return this.nombre;
	}

	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	public float getPrecio() {
		return this.precio;
	}

	public void setPrecio(float precio) {
		this.precio = precio;
	}

	public String getCodigo() {
		return this.codigo;
	}

	public void setCodigo(String codigo) {
		this.codigo = codigo;
	}

	public int getStock() {
		return this.stock;
	}

	public void setStock(int stock) {
		this.stock = stock;
	}

	@Override
	public String toString() {
		return "Articulo [id=" + id + ", grupo=" + grupo + ", nombre=" + nombre + ", precio=" + precio + ", codigo="
				+ codigo + ", stock=" + stock + "]";
	}

	

}
